

## Morris-Lecar model driver for Octave

Morris_Lecar81_defs = "Morris-Lecar81_solver.m";

autoload ("Morris_Lecar81", Morris_Lecar81_defs );
autoload ("Morris_Lecar81_initial", Morris_Lecar81_defs );

Morris_Lecar81_initial; 

t0 = 0.0;
t1 = 250.0;

t = linspace (t0, t1, 100)';

lsode_options("relative tolerance",1e-2);
lsode_options("absolute tolerance",1e-2);
lsode_options("initial step size",Morris_Lecar81_initial.h);

global Morris_Lecar81_state
Morris_Lecar81_state = Morris_Lecar81_initial;
function res = fMorris_Lecar81 (y, t)
  global Morris_Lecar81_state
  Morris_Lecar81_state.v = y(1);
  Morris_Lecar81_state.w = y(2);
  state1 = Morris_Lecar81(Morris_Lecar81_state);
  res(1) = state1.v;
  res(2) = state1.w;
endfunction
y0 = [Morris_Lecar81_initial.v; Morris_Lecar81_initial.w];
Morris_Lecar81_ys = lsode (@fMorris_Lecar81, y0, t);

